summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2017-01-08 14:18:53 +0900
committerBenda Xu <heroxbd@gentoo.org>2017-01-09 23:00:27 +0900
commit753e318cdd44166ea4f2e86e743a2aba8a230773 (patch)
tree32f91e3e43ff013359569985de92f5009ad30e66
parenttoolchain.eclass: D->ED ROOT->EROOT replacements. (diff)
downloadgentoo-753e318cdd44166ea4f2e86e743a2aba8a230773.tar.gz
gentoo-753e318cdd44166ea4f2e86e743a2aba8a230773.tar.bz2
gentoo-753e318cdd44166ea4f2e86e743a2aba8a230773.zip
toolchain.eclass: prefixify helper scripts.
Directory prefixify part 2. Bug: 531610
-rw-r--r--eclass/toolchain.eclass10
1 files changed, 5 insertions, 5 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 40759f59daf2..17950c1068ec 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -8,7 +8,7 @@ DESCRIPTION="The GNU Compiler Collection"
HOMEPAGE="https://gcc.gnu.org/"
RESTRICT="strip" # cross-compilers need controlled stripping
-inherit eutils fixheadtails flag-o-matic gnuconfig libtool multilib pax-utils toolchain-funcs versionator
+inherit eutils fixheadtails flag-o-matic gnuconfig libtool multilib pax-utils toolchain-funcs versionator prefix
if [[ ${PV} == *_pre9999* ]] ; then
EGIT_REPO_URI="git://gcc.gnu.org/git/gcc.git"
@@ -1764,10 +1764,10 @@ toolchain_src_install() {
# Rather install the script, else portage with changing $FILESDIR
# between binary and source package borks things ....
if ! is_crosscompile ; then
- insinto "${DATAPATH}"
- newins "${GCC_FILESDIR}"/awk/fixlafiles.awk-no_gcc_la fixlafiles.awk || die
- exeinto "${DATAPATH}"
- doexe "${GCC_FILESDIR}"/fix_libtool_files.sh || die
+ insinto "${DATAPATH#${EPREFIX}}"
+ newins "$(prefixify_ro "${GCC_FILESDIR}"/awk/fixlafiles.awk-no_gcc_la)" fixlafiles.awk || die
+ exeinto "${DATAPATH#${EPREFIX}}"
+ doexe "$(prefixify_ro "${GCC_FILESDIR}"/fix_libtool_files.sh)" || die
doexe "${GCC_FILESDIR}"/c{89,99} || die
fi